---
sidebar_label: ClickOptions
---

# ClickOptions interface

**Signature:**

```typescript
export interface ClickOptions
```

## Properties

| Property                                              | Modifiers | Type                                      | Description                                                                                             |
| ----------------------------------------------------- | --------- | ----------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [button?](./puppeteer.clickoptions.button.md)         |           | [MouseButton](./puppeteer.mousebutton.md) | <i>(Optional)</i>                                                                                       |
| [clickCount?](./puppeteer.clickoptions.clickcount.md) |           | number                                    | <i>(Optional)</i>                                                                                       |
| [delay?](./puppeteer.clickoptions.delay.md)           |           | number                                    | <i>(Optional)</i> Time to wait between <code>mousedown</code> and <code>mouseup</code> in milliseconds. |
| [offset?](./puppeteer.clickoptions.offset.md)         |           | [Offset](./puppeteer.offset.md)           | <i>(Optional)</i> Offset for the clickable point relative to the top-left corner of the border box.     |
